/*
Example for Led_Driver_2 Click

    Date          : avg 2017.
    Author        : MikroE Team

Test configuration CEC :
    
    MCU             : CEC1702
    Dev. Board      : Clicker 2 for CEC1702
    SW              : mikroC PRO for ARM v$${ARM_COMPLIER_VER}

Description :

    ${EXAMPLE_DESCRIPTION}

*/

#include "stdint.h"

uint16_t dutyCycle;
uint16_t pwmPeriod;

void systemInit()
{
    dutyCycle = 0;
}

void Led_Driver_2_Init()
{
    pwmPeriod = PWM10_Init(15000);                 
    PWM10_Set_Duty(pwmPeriod,  _PWM_NON_INVERTED);   
    PWM10_Start();  

}

void Led_Driver_2_Task()
{
    dutyCycle += 50;
    PWM10_Set_Duty(dutyCycle,  _PWM_NON_INVERTED);
    if (dutyCycle > pwmPeriod )
        dutyCycle = 0;
    Delay_ms(20);

}

void main()
{
    systemInit();
    Led_Driver_2_Init();

    while( 1 )
    {
            Led_Driver_2_Task();
    }
}