/*
Example for Led_Driver_2 Click

    Date          : avg 2017.
    Author        : MikroE Team

Test configuration MSP :
    
    MCU             : MSP432
    Dev. Board      : Clicker 2 for MSP432
    SW              : mikroC PRO for ARM v$${ARM_COMPLIER_VER}

Description :

    ${EXAMPLE_DESCRIPTION}

*/

#include "stdint.h"

uint16_t dutyCycle;
uint16_t pwmPeriod;

void systemInit()
{
    GPIO_Digital_Output( &DIO_P2OUT, _GPIO_PINMASK_7 );
    dutyCycle = 0;
}

void Led_Driver_2_Init()
{
    pwmPeriod = PWM0_Init(25000, _PWM_CFG_CLOCK_SRC_SMCLK | _PWM_CFG_OUTPUTMODE_SET | _PWM_CFG_CHANNEL_4, &_GPIO_MODULE_PWM_TA0_4_A15);
    PWM0_SetDuty(pwmPeriod/2, _PWM_CFG_CHANNEL_4);
    PWM0_Start();  
}

void Led_Driver_2_Task()
{
    dutyCycle += 50;
    PWM0_SetDuty(dutyCycle, _PWM_CFG_CHANNEL_4);
    if (dutyCycle > pwmPeriod )
        dutyCycle = 0;
    Delay_ms(100);

}

void main()
{
    systemInit();
    Led_Driver_2_Init();

    while( 1 )
    {
            Led_Driver_2_Task();
    }
}