/*
Example for Led_Driver_2 Click

    Date          : avg 2017.
    Author        : MikroE Team

Test configuration STM32 :
    
    MCU             : STM32F107VCT6
    Dev. Board      : EasyMx PRO v7 for STM32 ARM
    SW              : mikroC PRO for ARM v$${ARM_COMPLIER_VER}

Description :

    ${EXAMPLE_DESCRIPTION}

*/
#include "stdint.h"

uint16_t dutyCycle;
uint16_t pwmPeriod;

void systemInit()
{
    dutyCycle = 0;
}

void Led_Driver_2_Init()
{
    pwmPeriod = PWM_TIM5_Init(1000);
    PWM_TIM5_Set_Duty(0,  _PWM_NON_INVERTED, _PWM_CHANNEL1);
    PWM_TIM5_Start(_PWM_CHANNEL1, &_GPIO_MODULE_TIM5_CH1_PA0);  

}

void Led_Driver_2_Task()
{
    dutyCycle += 50;
    PWM_TIM5_Set_Duty(dutyCycle,  _PWM_NON_INVERTED, _PWM_CHANNEL1);
    if (dutyCycle > pwmPeriod )
        dutyCycle = 0;
    Delay_ms(2);

}

void main()
{
    systemInit();
    Led_Driver_2_Init();

    while( 1 )
    {
    	Led_Driver_2_Task();
    }
}