/*
Example for Led_Driver_2 Click

    Date          : avg 2017.
    Author        : MikroE Team

Test configuration TIVA :
    
    MCU             : TM4C129XNCZAD
    Dev. Board      : EasyMx PRO v7 for TIVA ARM
    SW              : mikroC PRO for ARM v$${ARM_COMPLIER_VER}

Description :

    ${EXAMPLE_DESCRIPTION}

*/
#include "stdint.h"

uint16_t dutyCycle;
uint16_t pwmPeriod;

void systemInit()
{
    dutyCycle = 0;
}

void Led_Driver_2_Init()
{
    pwmPeriod = PWM_T0CCP0_Init (1000, &_GPIO_MODULE_T0CCP0_D0_AHB);
    PWM_T0CCP0_Set_Duty(pwmPeriod, _PWM_INVERTED_DISABLE);
    PWM_T0CCP0_Start(); 

}

void Led_Driver_2_Task()
{
    dutyCycle += 50;
    PWM_T0CCP0_Set_Duty(dutyCycle, _PWM_INVERTED_DISABLE);
    if (dutyCycle > pwmPeriod )
        dutyCycle = 0;
    Delay_ms(2);

}

void main()
{
    systemInit();
    Led_Driver_2_Init();

    while( 1 )
    {
            Led_Driver_2_Task();
    }
}